Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.connector.base
Class MapTransaction.Children

    java.lang.Object
      org.modeshape.graph.connector.base.MapTransaction.Children

All Implemented Interfaces:
  Iterable<NodeType>, Collection<NodeType>, List<NodeType>

Enclosing class:
  MapTransaction<NodeType extends MapNode,WorkspaceType extends MapWorkspace<NodeType>>

    protected class MapTransaction.Children

extends Object
implements List<NodeType>

Constructor Summary
`protected` | `MapTransaction.Children(List<UUID> uuids, WorkspaceType workspace)`

Method Summary
`void` | `add(int index, NodeType element)`
`boolean` | `add(NodeType e)`
`boolean` | `addAll(Collection<? extends NodeType> c)`
`boolean` | `addAll(int index, Collection<? extends NodeType> c)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection<?> c)`
`NodeType` | `get(int index)`
`int` | `indexOf(Object o)`
`boolean` | `isEmpty()`
`Iterator<NodeType>` | `iterator()`
`int` | `lastIndexOf(Object o)`
`ListIterator<NodeType>` | `listIterator()`
`ListIterator<NodeType>` | `listIterator(int index)`
`NodeType` | `remove(int index)`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection<?> c)`
`boolean` | `retainAll(Collection<?> c)`
`NodeType` | `set(int index, NodeType element)`
`int` | `size()`
`List<NodeType>` | `subList(int fromIndex, int toIndex)`
`Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Constructor Detail

### MapTransaction.Children

    protected MapTransaction.Children(List<UUID> uuids,
                                      WorkspaceType workspace)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `size` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.size()`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `contains` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.contains(java.lang.Object)`

### containsAll

    public boolean containsAll(Collection<?> c)

  Specified by:
    `containsAll` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `containsAll` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.containsAll(java.util.Collection)`

### get

    public NodeType get(int index)

  Specified by:
    `get` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.get(int)`

### indexOf

    public int indexOf(Object o)

  Specified by:
    `indexOf` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.indexOf(java.lang.Object)`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.lastIndexOf(java.lang.Object)`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `isEmpty` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.isEmpty()`

### iterator

    public Iterator<NodeType> iterator()

  Specified by:
    `iterator` in interface `Iterable<NodeType extends MapNode>`
  Specified by:
    `iterator` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `iterator` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.iterator()`

### listIterator

    public ListIterator<NodeType> listIterator()

  Specified by:
    `listIterator` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.listIterator()`

### listIterator

    public ListIterator<NodeType> listIterator(int index)

  Specified by:
    `listIterator` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.listIterator(int)`

### subList

    public List<NodeType> subList(int fromIndex,
                                  int toIndex)

  Specified by:
    `subList` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.subList(int, int)`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `toArray` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.toArray()`

### toArray

    public <T> T[] toArray(T[] a)

  Specified by:
    `toArray` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `toArray` in interface `List<NodeType extends MapNode>`
  See Also:
    `java.util.List#toArray(T[])`

### add

    public boolean add(NodeType e)

  Specified by:
    `add` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `add` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.add(java.lang.Object)`

### add

    public void add(int index,
                    NodeType element)

  Specified by:
    `add` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.add(int, java.lang.Object)`

### addAll

    public boolean addAll(Collection<? extends NodeType> c)

  Specified by:
    `addAll` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `addAll` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.addAll(java.util.Collection)`

### addAll

    public boolean addAll(int index,
                          Collection<? extends NodeType> c)

  Specified by:
    `addAll` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.addAll(int, java.util.Collection)`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `clear` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.clear()`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `remove` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.remove(java.lang.Object)`

### remove

    public NodeType remove(int index)

  Specified by:
    `remove` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.remove(int)`

### removeAll

    public boolean removeAll(Collection<?> c)

  Specified by:
    `removeAll` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `removeAll` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.removeAll(java.util.Collection)`

### retainAll

    public boolean retainAll(Collection<?> c)

  Specified by:
    `retainAll` in interface `Collection<NodeType extends MapNode>`
  Specified by:
    `retainAll` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.retainAll(java.util.Collection)`

### set

    public NodeType set(int index,
                        NodeType element)

  Specified by:
    `set` in interface `List<NodeType extends MapNode>`
  See Also:
    `List.set(int, java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.